Package org.springframework.expression.spel

# Class CompiledExpression

java.lang.Object
org.springframework.expression.spel.CompiledExpression

public abstract class CompiledExpression extends Object
Base superclass for compiled expressions. Each generated compiled expression class will extend this class and implement the `getValue(java.lang.Object, org.springframework.expression.EvaluationContext)` method. It is not intended to be subclassed by user code.

Since:
  4.1
Author:
  Andy Clement

## Constructor Summary

Constructors
Constructor
Description
`CompiledExpression()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`getValue(Object target, EvaluationContext context)`
Subclasses of CompiledExpression generated by SpelCompiler will provide an implementation of this method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompiledExpression

public CompiledExpression()

## Method Details

### getValue

public abstract Object getValue(@Nullable Object target, @Nullable EvaluationContext context) throws EvaluationException
Subclasses of CompiledExpression generated by SpelCompiler will provide an implementation of this method.

Throws:
  `EvaluationException`